import { spawn } from 'child_process';

async function executeCli(command, commandArgs, cwd, options) {
  const stdio = options?.stdio ?? "pipe";
  const env = options?.env ?? process.env;
  const program = spawn(command, commandArgs, { stdio, shell: true, cwd, env });
  return await new Promise((resolve, reject) => {
    let errorText = "";
    program.stderr?.on("data", (data) => {
      const value = data.toString();
      errorText += value;
    });
    program.stdout?.on("data", (data) => {
      const value = data.toString();
      options?.onData?.(value, program, resolve);
    });
    program.on("exit", (code) => {
      if (code == 0) {
        resolve(void 0);
      } else {
        reject(new Error(errorText));
      }
    });
  });
}

export { executeCli as e };
//# sourceMappingURL=cli-ZmcbBlcD.js.map
